{$cols = $instance->getProperty('colNumber')}
{if $cols < 1 || $cols > 6}
    {$cols = 3}
{/if}

<div id="{$instance->getProperty('blockId')}" class="dzm-grid-wrapper {$instance->getStyleClasses()}" style="{$instance->getStyleString()}">
    {if $isPreview}
        <div class="row" style="overflow: hidden;height:{$instance->getProperty('height')}">
            {for $k=1 to $cols}
                {assign var=areaId value="dzm-col-$k"}

                {$col = 1}
                {if $cols == 1}
                    {$col = 12}
                {elseif $cols == 2}
                    {$col = 6}
                {elseif $cols == 3}
                    {$col = 4}
                {elseif $cols == 4}
                    {$col = 3}
                {elseif $cols == 5}
                    {$col = 2}
                {elseif $cols == 6}
                    {$col = 2}
                {/if}


                <div class="col-{$col} opc-area dzm-gr-track" data-area-id="{$areaId}" >
                    {$instance->getSubareaPreviewHtml($areaId)}
                </div>



            {/for}
        </div>


    {else}

        {$uid = $instance->getUid()}
        <div id="{$uid}" class="splide p-0 dzm-ps-style-bordered" aria-label="DZM Image Slider" style="overflow: hidden;height:{$instance->getProperty('height')}">
            <div class="splide__track dzm-gr-track">
                <div class="splide__list dzm-ps-list">

                    {for $k=1 to $cols}
                        {assign var=areaId value="dzm-col-$k"}





                            <div class="splide__slide opc-area" >
                                <div class="dzm-ps-item-wrapper ">
                                {$instance->getSubareaFinalHtml($areaId)}
                                </div>
                            </div>



                    {/for}
                </div>
            </div>
        </div>

        <script>
            document.addEventListener( 'DOMContentLoaded', function() {
                let splide = new Splide( '#{$uid}', {
                    type   : 'loop',
                    perPage: {$instance->getProperty('xl')},
                    arrows:false,
                    pagination: false,
                    breakpoints:{
                        576:{
                            perPage:{$instance->getProperty('xs')}
                        },
                        768:{
                            perPage:{$instance->getProperty('s')}
                        },
                        992:{
                            perPage:{$instance->getProperty('m')}
                        },
                        1300:{
                            perPage:{$instance->getProperty('l')}
                        }


                    },
                    perMove: 1



                } );
                splide.mount();
            } );
        </script>

    {/if}

</div>