<div class="dzm-itb-sqr-wrapper" >
    {if !$instance->getProperty('hideImage')}
        {$img = $instance->getProperty('img')}

        {if $img != ''}
            <div class="dzm-itb-sqr-image-container overflow-hidden" style="">

                {if $instance->getProperty('aspect') != ''}
                    {$aspect = 'aspect-ratio:'|cat:$instance->getProperty('aspect')|cat:';'}
                {else}
                    {$aspect = ''}
                {/if}

                {$style = $aspect|cat:'min-height:'|cat:{$instance->getProperty('imgMinHeight')}|cat:';max-height:'|cat:{$instance->getProperty('imgMaxHeight')}|cat:';object-fit:'|cat:{$instance->getProperty('imgStyle')}|cat:';'}

                {$imgAttribs = $instance->getImageAttributes($img, '', '')}
                {image
                srcset=$imgAttribs.srcset
                sizes=$imgAttribs.srcsizes
                src=$imgAttribs.src
                alt=$imgAttribs.alt|escape:'html'
                style=$style}
            </div>
        {else}
            <div class="dzm-itb-sqr-image-container overflow-hidden" style="">

                {if $instance->getProperty('aspect') != ''}
                    {$aspect = 'aspect-ratio:'|cat:$instance->getProperty('aspect')|cat:';'}
                {else}
                    {$aspect = ''}
                {/if}

                {$style = $aspect|cat:'min-height:'|cat:{$instance->getProperty('imgMinHeight')}|cat:';max-height:'|cat:{$instance->getProperty('imgMaxHeight')}|cat:';object-fit:'|cat:{$instance->getProperty('imgStyle')}|cat:';'}

                {image
                src='/plugins/dzm_opc_plus/Portlets/DZMImageTextBox/assets/placeholder.jpg'
                style=$style}
            </div>
        {/if}
    {/if}
    {$padding = $instance->getProperty('textPadding')}
    {if $padding >= '-3'}
        {$paddingtop = 'pt-3'}
    {else}
        {$paddingtop = ''}
    {/if}
    <div class="dzm-itb-sqr-content-container text-{$instance->getProperty('horizontalTextAlignment')} justify-content-{$instance->getProperty('verticalTextAlignment')} p{$padding} {$paddingtop}">
        {include file='../../../dzm_resources/Portlets/Snippets/headline.tpl' classes="bold"}
        <div class="dzm-itb-sqr-content">
            {$instance->getProperty('content')}
        </div>
    </div>
        <div class="dzm-itb-content-btn d-flex justify-content-{$instance->getProperty('buttonAlignment')} p{$padding} ">
            {include file="../../../dzm_resources/Portlets/Snippets/button.tpl"}
        </div>

</div>

