
<div id="{$instance->getProperty('blockId')}" class="{if !$inContainer}container-fluid{/if} dzm-pfl-wrapper py-8 {$instance->getStyleClasses()}" style="{$instance->getStyleString()}">

    <div class="row">

        <div class="col-12 col-lg-4 my-3 mb-lg-0">
            <div class="dzm-pfl-boxshadow dzm-pfl-content d-flex flex-column align-items-center justify-content-center h-100">
                <div>
                    <p>{$instance->getProperty('optionA')}</p>
                </div>
                <h2 class="h3 text-uppercase text-center mb-5">
                    {$instance->getProperty('headlineA')}
                </h2>
                <div class="dzm-pfl-img">
                    {if $instance->getProperty('imageA') != null}
                        <img src="media/image/opc/lg/{$instance->getProperty('imageA')}" class="img-fluid mb-3 rounded" />
                    {/if}
                </div>
                {if {$instance->getProperty('usplistA')} != ''}
                <ul class="dzm-pfl-list-container mr-0 pr-0 text-center flex-grow-1">
                    {foreach $instance->getProperty('usplistA') as $i => $usp1}
                        {if $usp1 != ""}
                            <li class="text-md mb-1"><i class="{$instance->getProperty('icon')} mr-2" style="color: {$instance->getProperty('iconColor')}"></i>{$usp1}</li>
                        {/if}
                    {/foreach}
                </ul>
                    {else}
                    <div class="my-2"></div>
                {/if}

                <p class="text-center font-weight-bolder">
                    {$instance->getProperty('priceA')}
                </p>
                {if $instance->getProperty('useBtnA')}
                    {$btnTypeA = $instance->getProperty('btntypeA')}
                    {$btnStyleA = $instance->getProperty('btncolorA')}
                    {$btnWidthA = $instance->getProperty('btnwidthA')}
                    <a href="{$instance->getProperty('btnlinkA')}"
                       class="dzm-btn dzm-btn-{if $btnTypeA != 'plain'}{$btnTypeA}-{/if}{$btnStyleA}
                            btn btn-{if $btnTypeA != 'full'}{$btnTypeA}-{/if}{$btnStyleA}"
                       style="width:{$btnWidthA}">
                        {$instance->getProperty('btntextA')}
                    </a>
                {/if}
            </div>
        </div>

        <div>
            <br>
            <div class="wichtige classe ">

            </div>
        </div>


        <div class="col-12 col-lg-4 my-3 mb-lg-0">
            <div class="dzm-pfl-boxshadow dzm-pfl-content d-flex flex-column align-items-center justify-content-center position-relative h-100" id="dzm-best-option" style="border:4px solid {$instance->getProperty('labelColor')};" >
                <div class="dzm-pfl-best-option" style="background-color: {$instance->getProperty('labelColor')};">
                    {$instance->getProperty('label')}
                </div>
                <div>
                    <p>{$instance->getProperty('optionB')}</p>
                </div>
                <h2 class="h3 text-uppercase text-center mb-5">
                    {$instance->getProperty('headlineB')}
                </h2>
                <div class="dzm-pfl-img">
                    {if $instance->getProperty('imageB') != null}
                        <img src="media/image/opc/lg/{$instance->getProperty('imageB')}" class="img-fluid mb-3 rounded" />
                    {/if}
                </div>
                <ul class="dzm-pfl-list-container mr-0 pr-0 text-center flex-grow-1">
                    {if $instance->getProperty('upslistB') != []}
                        {foreach $instance->getProperty('usplistB') as $i => $usp2}
                            {if $usp2 != ""}
                                <li class="text-md mb-1"><i class="{$instance->getProperty('icon')} mr-2" style="color: {$instance->getProperty('iconColor')}"></i>{$usp2}</li>
                            {/if}
                        {/foreach}
                    {/if}
                </ul>
                <p class="text-center font-weight-bolder">
                    {$instance->getProperty('priceB')}
                </p>

                {if $instance->getProperty('useBtnB')}
                    {$btnTypeB = $instance->getProperty('btntypeB')}
                    {$btnStyleB = $instance->getProperty('btncolorB')}
                    {$btnWidthB = $instance->getProperty('btnwidthB')}
                    <a href="{$instance->getProperty('btnlinkB')}"
                       class="dzm-btn dzm-btn-{if $btnTypeB != 'plain'}{$btnTypeB}-{/if}{$btnStyleB}
                            btn btn-{if $btnTypeB != 'full'}{$btnTypeB}-{/if}{$btnStyleB}"
                       style="width:{$btnWidthB}">
                        {$instance->getProperty('btntextB')}
                    </a>
                {/if}
            </div>
        </div>



        <div class="col-12 col-lg-4 my-3 mb-lg-0">
            <div class="dzm-pfl-boxshadow dzm-pfl-content d-flex flex-column align-items-center justify-content-center h-100">
                <div>
                    <p>{$instance->getProperty('optionC')}</p>
                </div>
                <h2 class="h3 text-uppercase text-center mb-5">
                    {$instance->getProperty('headlineC')}
                </h2>

                <div class="dzm-pfl-img">
                    {if $instance->getProperty('imageC') != null}
                        <img src="media/image/opc/lg/{$instance->getProperty('imageC')}" class="img-fluid mb-3 rounded" />
                    {/if}
                </div>
                <ul class="dzm-pfl-list-container mr-0 pr-0 text-center flex-grow-1">
                    {if $instance->getProperty('upslistC') != []}
                        {foreach $instance->getProperty('usplistC') as $i => $usp3}
                            {if $usp3 != ""}
                                <li class="text-md mb-1"><i class="{$instance->getProperty('icon')} mr-2" style="color: {$instance->getProperty('iconColor')}"></i>{$usp3}</li>
                            {/if}
                        {/foreach}
                    {/if}
                </ul>

                <p class="text-center font-weight-bolder">
                    {$instance->getProperty('priceC')}
                </p>

                {if $instance->getProperty('useBtnC')}
                    {$btnTypeC = $instance->getProperty('btntypeC')}
                    {$btnStyleC = $instance->getProperty('btncolorC')}
                    {$btnWidthC = $instance->getProperty('btnwidthC')}
                    <a href="{$instance->getProperty('btnlinkC')}"
                       class="dzm-btn dzm-btn-{if $btnTypeC != 'plain'}{$btnTypeC}-{/if}{$btnStyleC}
                            btn btn-{if $btnTypeC != 'full'}{$btnTypeC}-{/if}{$btnStyleC}"
                       style="width:{$btnWidthC}">
                        {$instance->getProperty('btntextC')}
                    </a>
                {/if}
            </div>
        </div>


    </div>
</div>

