<div id="{$instance->getProperty('blockId')}" class="dzm-tb-wrapper {$instance->getStyleClasses()}" style="{$instance->getStyleString()}">
    <div class="dzm-tb-headline-container text-{$instance->getProperty('headlinePos')}" >
        {$subheader = $instance->getProperty('subHeader')}
        {$subheaderpos = $instance->getProperty('subheaderPos')}
        {$type = $instance->getProperty('headerType')}
        {$subType = $instance->getProperty('subHeaderType')}
        {$headerArgs = 'class="'|cat:{$instance->getProperty(headerSize)}|cat:'" style="color: '|cat:{$instance->getProperty(headerColor)}|cat:'"'}
        {$subheaderArgs = 'class="'|cat:{$instance->getProperty(subHeaderSize)}|cat:'" style="color: '|cat:{$instance->getProperty(subheaderColor)}|cat:'"'}



        {if $subheader != '' && $subheaderpos == 'top'}
            {if $subType == 'h1'}
                <h1 {$subheaderArgs}>{$subheader}</h1>
            {elseif $subType == 'h2'}
                <h2 {$subheaderArgs}>{$subheader}</h2>
            {elseif $subType == 'h3'}
                <h3 {$subheaderArgs}>{$subheader}</h3>
            {elseif $subType == 'h4'}
                <h4 {$subheaderArgs}>{$subheader}</h4>
            {elseif $subType == 'h5'}
                <h5 {$subheaderArgs}>{$subheader}</h5>
            {elseif $subType == 'h6'}
                <h6 {$subheaderArgs}>{$subheader}</h6>
            {elseif $subType == 'p'}
                <p {$subheaderArgs}>{$subheader}</p>
            {else}
                <p {$subheaderArgs}>{$subheader}</p>
            {/if}
        {/if}

        {if $type == 'h1'}
            <h1 {$headerArgs}>{$instance->getProperty('header')}</h1>
        {elseif $type == 'h2'}
            <h2  {$headerArgs}>{$instance->getProperty('header')}</h2>
        {elseif $type == 'h3'}
            <h3 {$headerArgs}>{$instance->getProperty('header')}</h3>
        {elseif $type == 'h4'}
            <h4 {$headerArgs}>{$instance->getProperty('header')}</h4>
        {elseif $type == 'h5'}
            <h5 {$headerArgs}>{$instance->getProperty('header')}</h5>
        {elseif $type == 'h6'}
            <h6 {$headerArgs}>{$instance->getProperty('header')}</h6>
        {elseif $type == 'p'}
            <p {$headerArgs}>{$instance->getProperty('header')}</p>
        {else}
            <h2 {$headerArgs}>{$instance->getProperty('header')} {$type}</h2>
        {/if}

        {if $subheader != '' && $subheaderpos == 'center'}
            {if $subType == 'h1'}
                <h1 {$subheaderArgs}>{$subheader}</h1>
            {elseif $subType == 'h2'}
                <h2 {$subheaderArgs}>{$subheader}</h2>
            {elseif $subType == 'h3'}
                <h3 {$subheaderArgs}>{$subheader}</h3>
            {elseif $subType == 'h4'}
                <h4 {$subheaderArgs}>{$subheader}</h4>
            {elseif $subType == 'h5'}
                <h5 {$subheaderArgs}>{$subheader}</h5>
            {elseif $subType == 'h6'}
                <h6 {$subheaderArgs}>{$subheader}</h6>
            {elseif $subType == 'p'}
                <p {$subheaderArgs}>{$subheader}</p>
            {else}
                <p {$subheaderArgs}>{$subheader}</p>
            {/if}
        {/if}


        {include file='../../../dzm_resources/Portlets/Snippets/hrline.tpl'}


        {if $subheader != '' && $subheaderpos == 'bottom'}
            {if $subType == 'h1'}
                <h1 {$subheaderArgs}>{$subheader}</h1>
            {elseif $subType == 'h2'}
                <h2 {$subheaderArgs}>{$subheader}</h2>
            {elseif $subType == 'h3'}
                <h3 {$subheaderArgs}>{$subheader}</h3>
            {elseif $subType == 'h4'}
                <h4 {$subheaderArgs}>{$subheader}</h4>
            {elseif $subType == 'h5'}
                <h5 {$subheaderArgs}>{$subheader}</h5>
            {elseif $subType == 'h6'}
                <h6 {$subheaderArgs}>{$subheader}</h6>
            {elseif $subType == 'p'}
                <p {$subheaderArgs}>{$subheader}</p>
            {else}
                <p {$subheaderArgs}>{$subheader}</p>
            {/if}
        {/if}
    </div>
    <div class="dzm-tb-content-container">
        {$instance->getProperty('content')}
    </div>
</div>