{$uid = $instance->getUid()}
<div id="{$instance->getProperty('blockId')}" class="dzm-vh-wrapper {$instance->getStyleClasses()}" style="overflow: hidden; {$instance->getStyleString()}">

    <div id="dzm-videoTitle-video-container" style="height: {if $instance->getProperty('videoHeight') == ''}50vh{else}{$instance->getProperty('videoHeight')}{/if};">
        <div class="video-overlay" style="background-color:{$instance->getProperty('overlayColor')}"></div>
        <video id="dzm-videoTitle-backgroundvideo" playsinline="" autoplay="" muted="" loop="">
            {if $instance->getProperty('source') == 'upload'}
                <source src="{$instance->getProperty('prevVideoUpload')}">
                {else}
                <source src="{$instance->getProperty('prevVideoUrl')}">
            {/if}
        </video>
        <div class="dzm-videoTitle-mainvideo-container">
            <button type="button" class="close dzm-video-close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <video id="dzm-videoTitle-mainvideo" controls="" playsinline="" autoplay="" muted="">
                {if $instance->getProperty('source') == 'upload'}
                    <source src="{$instance->getProperty('videoUpload')}">
                {else}
                    <source src="{$instance->getProperty('videoUrl')}">
                {/if}
            </video>
        </div>
        <div id="dzm-videoTitle-textcontainer" class="dzm-container edge pl-0 pl-lg-8">
            <div class="dzm-videoTitle-text">
                {if $instance->getProperty('header') != ''}
                    <span class="dzm-videoTitle-header">
                        {$instance->getProperty('header')}
                    </span>
                {/if}
                {if $instance->getProperty('contentText') != ''}
                    <p class="dzm-videoTitle-contentText">
                        {$instance->getProperty('contentText')}
                    </p>
                {/if}
                {include file='../../../dzm_resources/Portlets/Snippets/button.tpl'}
            </div>
            <div class="dzm-videoTitle-play"">
                <svg id="dzm-videoTitle-play-svg" xmlns="http://www.w3.org/2000/svg" width="94.825" height="94.825" viewBox="0 0 94.825 94.825">
                    <g id="Icon_feather-play-circle" data-name="Icon feather-play-circle" transform="translate(-1.5 -1.5)">
                        <path id="Pfad_9" data-name="Pfad 9" d="M94.825,48.912A45.912,45.912,0,1,1,48.912,3,45.912,45.912,0,0,1,94.825,48.912Z" transform="translate(0 0)" fill="none" stroke="{$instance->getProperty('playButtonColor')}" stroke-linecap="round" stroke-linejoin="round" stroke-width="3"></path>
                        <path id="Pfad_10" data-name="Pfad 10" d="M15,12,42.547,30.365,15,48.73Z" transform="translate(24.73 18.547)" fill="none" stroke="{$instance->getProperty('playButtonColor')}" stroke-linecap="round" stroke-linejoin="round" stroke-width="3"></path>
                    </g>
                </svg>
                {if $instance->getProperty('playButtonText') != ''}
                    <span class="dzm-videoTitle-playText">{$instance->getProperty('playButtonText')}</span>
                {/if}
            </div>
        </div>
    </div>

</div>