{if $instance->getProperty('blockId') != ''}
    {$uid="{$instance->getProperty('blockId')}" }
{else}
    {$uid = $instance->getUid()}
{/if}
{$instance->get}

<div class="dzm-faq-wrapper {$instance->getStyleClasses()}" id='{$uid}' itemscope itemtype="https://schema.org/FAQPage" style="{if $instance->getProperty('useShadow')}box-shadow: 0px 5px 10px 0 #00000010;{/if}{$instance->getStyleString()}">

    <div id='{$uid}_heading'
         itemprop="mainEntity" itemscope itemtype="https://schema.org/Question"
            class="dzm-faq-question-container p-4 dzm-faq-style-{$instance->getProperty('iconStyle')}"
            data-toggle="collapse"
            data-target='#{$uid}_content'
            aria-expanded="false"
            aria-controls='{$uid}_content'
            style="color:{$instance->getProperty('questionTextcolor')}; background: {$instance->getProperty('questionBackground')}">
        <div class="font-weight-bold">
            {$instance->getProperty('question')}
        </div>
        <meta itemprop="acceptedAnswer" itemscope itemtype="https://schema.org/Answer" />

    </div>

    <div id='{$uid}_content' class="dzm-faq-answer-container collapse" aria-labelledby='{$uid}_heading' data-parent='#{$uid}'
         itemprop="acceptedAnswer" itemscope itemtype="https://schema.org/Answer">
        <div class="p-5" itemprop="text">
            {$instance->getProperty('answer')}
            <br>
            {include file='../../../dzm_resources/Portlets/Snippets/button.tpl'}
        </div>
    </div>


</div>